#
# spec file for package python-raven
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-raven
Version:        6.9.0
Release:        4.8
Summary:        Raven is a client for Sentry
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/getsentry/raven-python
Source:         https://files.pythonhosted.org/packages/source/r/raven/raven-%{version}.tar.gz
# https://github.com/getsentry/raven-python/issues/1284
Patch0:         remove-unittest2.patch
BuildRequires:  %{python_module Flask >= 0.8}
BuildRequires:  %{python_module Flask-Login >= 0.2.0}
BuildRequires:  %{python_module Logbook}
BuildRequires:  %{python_module Paste}
BuildRequires:  %{python_module WebOb}
BuildRequires:  %{python_module WebTest}
BuildRequires:  %{python_module ZConfig}
BuildRequires:  %{python_module anyjson}
BuildRequires:  %{python_module blinker >= 1.1}
BuildRequires:  %{python_module bottle}
BuildRequires:  %{python_module celery >= 2.5}
BuildRequires:  %{python_module exam >= 0.5.2}
BuildRequires:  %{python_module flake8 >= 2.6}
BuildRequires:  %{python_module kombu}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module pycodestyle}
BuildRequires:  %{python_module pytest >= 3.0.0}
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module pytest-flake8}
BuildRequires:  %{python_module pytest-pythonpath}
BuildRequires:  %{python_module pytest-sugar}
BuildRequires:  %{python_module pytest-timeout >= 0.4}
BuildRequires:  %{python_module pytest-xdist}
BuildRequires:  %{python_module pytz}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module tornado >= 4.1}
BuildRequires:  %{python_module vine}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python-web.py
Recommends:     python-Flask >= 0.8
Recommends:     python-blinker >= 1.1
BuildArch:      noarch
%python_subpackages

%description
Raven is a Python client for Sentry_. It provides full out-of-the-box
support for many of the popular frameworks, including Django, Flask,
and Pylons. Raven also includes drop-in support for any
WSGI-compatible web application.


%prep
%setup -q -n raven-%{version}
%autopatch -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%python_expand rm -rf %{buildroot}/%{$python_sitelib}/raven/data/cacert.pem

# Tests are completely broken https://github.com/getsentry/raven-python/issues/1283
# %%check
# %%{python_expand export PYTHONPATH=%{buildroot}%%{$python_sitelib}
# py.test-%%{$python_bin_suffix} -k 'not (TornadoAsyncClientTestCase or TornadoTransportTests)'
# }

%files %{python_files}
%license LICENSE
%doc README.rst
%python3_only %{_bindir}/raven
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Fri Aug 10 2018 mcepl@suse.com
- Remove unnecessary dependency on unittest2 and contextlib2 modules.
  Add remove-unittest2.patch fixing the code.
* Thu Jul 19 2018 mcepl@suse.com
- Upgrade to 6.9.0:
    too many changes to enlist here, complete list is at
    https://github.com/getsentry/raven-python/blob/master/CHANGELOG.md
- Remove component.xml and kill_bad_test.patch (unnecessary for the
  current version)
* Thu Jan 11 2018 mimi.vx@gmail.com
- update to 6.4.0
- added kill_bad_test.patch
- dropped zconfig_tests.patch
  * [Core] Support for defining sanitized_keys on the client
  * [Django] Support for Django 2.0 Urlresolver
  * [Docs] Several fixes and improvements
* Wed Nov 15 2017 mimi.vx@gmail.com
- update to 6.3.0
- add zconfig_tests.patch and component.xml fixing zconfig support
  * [Core] Changed default timeout on http calls to 5 seconds
  * [Core] Fixed relative paths for traces generated on Windows
  * [Django] Fixed import issues for Django projects < 1.7
  * [Django] Fixed django management command data option
  * [Django/DRF] Added application/octet-stream to non-cacheable types in middleware
  * [Django] Added parsing X-Forwarded-For for user.ip_address
  * [Flask] Added request.remote_addr as fallback for ip addresses
  * [Lambda] Added initial AWS Lambda support with contrib.awslambda.LambdaClient
  * [Core] get_frame_locals properly using max_var_size
  * [Core] Fixed raven initialization when logging._srcfile is None
  * [Core] Fixed import locking to avoid recursion
  * [Django] Fixed several issues for Django 1.11 and Django 2.0
  * [Django/DRF] Fixed issue with unavailable request data
  * [Flask] Added app.logger instrumentation
  * [Flask] Added signal on setup_logging
  * [ZConfig] Added standalone ZConfig support
  * [Celery] Fixed several issues related to Celery*
* Thu Sep  7 2017 toddrme2178@gmail.com
- initial version
